### Method

# WPEWebKit NavigationAction get_navigation_type

since: 2.6

#### Declaration [src]

    WebKitNavigationType
    webkit_navigation_action_get_navigation_type (
      WebKitNavigationAction* navigation
    )

#### Description [src]

Return the type of action that triggered the navigation.

Available since: 2.6

#### Return value

Type: `WebKitNavigationType`

A `WebKitNavigationType`.